Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:    	zip archive extraction library
Name:      	zziplib
Version:   	0.13.49
Release:   	1
License: 	GNU/GPL
URL:		http://zziplib.sourceforge.net/
Group:    	System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prereq(post,preun): /sbin/install-info
BuildRequires:	glibc-devel

%description
The zziplib library is intentionally lightweight, it offers the ability to easily extract data from files archived in a single zip file. Applications can bundle files into a single zip archive and access them. The implementation is based only on the (free) subset of compression with the  zlib algorithm which is actually used by the zip/unzip tools. 
 The library allows reading zip archives in a number of ways, 
archive mode:
 reading the zip directory and extracting files from it. This is the traditional mode as seen with unzip-utilities. Some extra unzip-utiles for transparent/magic mode are shipped as well. 
replacement mode:
 Use ZZIP_FILE / ZZIP_DIR pointers provided by zziplib and put them to work with routines originally developped to work with real directories and file handles. The API calls do follow traditional synopsis from posix/stdio. 
transparent mode:
 Use replacement handles and allow the open()-calls to automatically detect when a file is contained in a zip archive or when it is a real file in the file system. A filepath can be partly in a real filesystem and partly within the zip archive when one is seen. 
 ext magic 
 Use the same filepath to access either a zipped or real file - it looks for a real file and there is none then every subdirectory of the path is checked, a ".zip" extension appended, and the zipped file transparently opened. This can speed up dat-file development dramatically. 
 io/xor magic 
 The access to the filesystem can be hooked up - examples are given for xor obfuscation which is great for game artwork and AI data. A small intro for SDLrwops usage is given as well.

%package	devel
Summary: 	%{name} development headers.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
#/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
ldconfig

%postun
ldconfig

%preun
#if [ "$1" = 0 ]; then
#/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
#fi 

%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--libdir=%_libdir \
		--datadir=%_datadir \
		--infodir=%_infodir \
		--includedir=%_includedir \
		--localstatedir=/var \
		--disable-debug \
		--disable-static \
		--with-openssl
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"




%files
%defattr(-,root,root)
%_bindir
%_mandir
%_libdir/*.so
%_libdir/*.so.*
#%_infodir
#%exclude %_infodir/dir

%files devel
%defattr(-,root,root)
%_libdir/*.la
%_includedir
%_datadir/aclocal
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.13.49-1
- Initial Release
